---
title: glab stack amend
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Save more changes to a stacked diff. (EXPERIMENTAL)

## Synopsis

Add more changes to an existing stacked diff.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
[https://docs.gitlab.com/policy/development_stages_support/](https://docs.gitlab.com/policy/development_stages_support/).

```plaintext
glab stack amend [flags]
```

## Examples

```console
$ glab stack amend modifiedfile
$ glab stack amend . -m "fixed a function"
$ glab stack amend newfile -d "forgot to add this"
```

## Options

```plaintext
  -d, --description string   a description of the change
  -m, --message string       alias for the description flag
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
